## kio-fuse 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(kio-fuse VERSION 5.0.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(Qt5_MIN_VERSION 5.12)
# Use ecm_generate_dbus_service_file + ecm_install_configured_files once bumped to 5.73+
set(KF5_MIN_VERSION 5.66)

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
#include(ECMGenerateDBusServiceFile)
#include(ECMConfiguredInstall)

find_package(PkgConfig REQUIRED)
find_package(Qt5 ${Qt5_MIN_VERSION} COMPONENTS Core REQUIRED)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
	CoreAddons
	KIO
)
pkg_check_modules(FUSE3 REQUIRED fuse3)

if(BUILD_TESTING)
	add_subdirectory(tests)
endif()

set(KIOFUSE_SOURCES
	main.cpp
	kiofusevfs.cpp
	kiofusevfs.h
	kiofuseservice.cpp
	kiofuseservice.h
	kiofusenode.h)

ecm_setup_version(PROJECT
	VARIABLE_PREFIX KIOFUSE
	VERSION_HEADER kiofuseversion.h)

ecm_qt_declare_logging_category(KIOFUSE_SOURCES
	HEADER debug.h
	IDENTIFIER KIOFUSE_LOG
	CATEGORY_NAME org.kde.kio.fuse
	DEFAULT_SEVERITY Warning)

add_executable(kio-fuse ${KIOFUSE_SOURCES})
target_include_directories(kio-fuse PRIVATE ${FUSE3_INCLUDE_DIRS})
target_compile_definitions(kio-fuse PRIVATE FUSE_USE_VERSION=31 ${FUSE3_CFLAGS_OTHER})
target_link_libraries(kio-fuse PRIVATE Qt5::Core KF5::KIOCore ${FUSE3_LIBRARIES} ${FUSE3_LDFLAGS})
install(TARGETS kio-fuse DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
install(FILES kio-fuse-tmpfiles.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d)

# Once KF5 5.73 is required
#
#ecm_generate_dbus_service_file(
#   NAME org.kde.KIOFuse
#   EXECUTABLE "${KDE_INSTALL_FULL_LIBEXECDIR}/kio-fuse -f"
#   SYSTEMD_SERVICE kio-fuse.service
#   DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
#)
#
#ecm_install_configured_files(INPUT kio-fuse.service.in DESTINATION ${SYSTEMD_USER_UNIT_INSTALL_DIR})

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KIOFuse.service
"[D-BUS Service]
Name=org.kde.KIOFuse
Exec=${KDE_INSTALL_FULL_LIBEXECDIR}/kio-fuse -f
SystemdService=kio-fuse.service
")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KIOFuse.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

configure_file(kio-fuse.service.in ${CMAKE_CURRENT_BINARY_DIR}/kio-fuse.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kio-fuse.service DESTINATION ${SYSTEMD_USER_UNIT_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
set(KIOFUSE_TEST_SOURCES
	fileopstest.cpp)

find_package(Qt5Test CONFIG REQUIRED)
find_package(Qt5DBus CONFIG REQUIRED)

qt5_add_dbus_interface(KIOFUSE_TEST_SOURCES org.kde.KIOFuse.VFS.xml kiofuse_interface)
qt5_add_dbus_interface(KIOFUSE_TEST_SOURCES org.kde.KIOFuse.Private.xml kiofuseprivate_interface)

add_executable(fileopstest-cache ${KIOFUSE_TEST_SOURCES})
target_link_libraries(fileopstest-cache PRIVATE Qt5::Test Qt5::DBus)
target_compile_definitions(fileopstest-cache PRIVATE -DTEST_CACHE_BASED_IO)
add_test(NAME fileopstest-cache COMMAND dbus-run-session ${CMAKE_BINARY_DIR}/bin/fileopstest-cache)
set_tests_properties(fileopstest-cache PROPERTIES ENVIRONMENT KDE_FORK_SLAVES=1)

add_executable(fileopstest-filejob ${KIOFUSE_TEST_SOURCES})
target_link_libraries(fileopstest-filejob PRIVATE Qt5::Test Qt5::DBus)
add_test(NAME fileopstest-filejob COMMAND dbus-run-session ${CMAKE_BINARY_DIR}/bin/fileopstest-filejob)
set_tests_properties(fileopstest-filejob PROPERTIES ENVIRONMENT KDE_FORK_SLAVES=1)

=== debian/changelog ===
kio-fuse (5.0.0-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Cherry-pick upstream fixes:
    - Unbreak KRunner’s ability to display man: and info: URLs in your web
      browser.
    - Improve URL logging.
  * Point copyright source to KDE invent repo.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 28 Feb 2021 23:05:10 +0100

kio-fuse (5.0.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Add the configuration for the CI on salsa.
  * Use the upstream Git repository as Homepage.
  * Disable the build of unit tests, since they are not run anyway.
  * Use https in the watch file.

  [ Norbert Preining ]
  * Cherry-pick upstream patches for critical fixes.
    - upstream-1ee510ba-check-return-value-of-createNodeFromUDSEntry.patch
    - upstream-d69959e2-uds-url-target-use.patch

 -- Norbert Preining <norbert@preining.info>  Fri, 22 Jan 2021 10:48:21 +0900

kio-fuse (5.0.0-2) unstable; urgency=medium

  * Rename license tag to match content.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 07:24:03 +0900

kio-fuse (5.0.0-1) unstable; urgency=medium

  * First release to Debian (Closes: #978728)

 -- Norbert Preining <norbert@preining.info>  Thu, 31 Dec 2020 07:52:39 +0900

=== debian/control ===
Source: kio-fuse
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.66.0~),
               libfuse3-dev,
               libkf5config-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-fuse
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-fuse.git
Homepage: https://invent.kde.org/system/kio-fuse

Package: kio-fuse
Architecture: any
Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: FUSE Interface for KIO
 KIOFuse allows the possibility to mount KIO filesystems in the local
 system, exposing them to every application.

## kio-fuse 5.0.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 qt5_add_dbus_interface(KIOFUSE_TEST_SOURCES org.kde.KIOFuse.Private.xml kiofuseprivate_interface)
 
 add_executable(fileopstest-cache ${KIOFUSE_TEST_SOURCES})
-target_link_libraries(fileopstest-cache PRIVATE Qt5::Test Qt5::DBus)
+target_link_libraries(fileopstest-cache PRIVATE Qt5::Test Qt5::DBus KF5::KIOCore)
 target_compile_definitions(fileopstest-cache PRIVATE -DTEST_CACHE_BASED_IO)
 add_test(NAME fileopstest-cache COMMAND dbus-run-session ${CMAKE_BINARY_DIR}/bin/fileopstest-cache)
 set_tests_properties(fileopstest-cache PROPERTIES ENVIRONMENT KDE_FORK_SLAVES=1)
 
 add_executable(fileopstest-filejob ${KIOFUSE_TEST_SOURCES})
-target_link_libraries(fileopstest-filejob PRIVATE Qt5::Test Qt5::DBus)
+target_link_libraries(fileopstest-filejob PRIVATE Qt5::Test Qt5::DBus KF5::KIOCore)
 add_test(NAME fileopstest-filejob COMMAND dbus-run-session ${CMAKE_BINARY_DIR}/bin/fileopstest-filejob)
 set_tests_properties(fileopstest-filejob PROPERTIES ENVIRONMENT KDE_FORK_SLAVES=1)

=== debian/changelog ===
kio-fuse (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream-1ee510ba-check-return-value-of-createNodeFromUDSEntry.patch:
      drop, backported from upstream
    - upstream-d69959e2-uds-url-target-use.patch: drop, backported from upstream
    - upstream-3bb07481-improve-url-logging.patch: drop, backported from
      upstream
    - upstream-1dfbaa6-error-out-when-ioslaves-state-that-slash-is-a-regular-file.patch:
      drop, backported from upstream
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 08:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.12.0~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-fuse
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-fuse.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://download.kde.org/stable/kio-fuse/([\d.]+)/kio-fuse-([\d.]+).tar.xz

## kio-fuse 5.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kio-fuse VERSION 5.0.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MIN_VERSION 5.15)
set(KF_MIN_VERSION 5.96)

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateDBusServiceFile)
include(ECMConfiguredInstall)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} COMPONENTS Core REQUIRED)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
	CoreAddons
	KIO
)
pkg_check_modules(FUSE3 REQUIRED fuse3)

if(BUILD_TESTING)
	add_subdirectory(tests)
endif()

set(KIOFUSE_SOURCES
	main.cpp
	kiofusevfs.cpp
	kiofusevfs.h
	kiofuseservice.cpp
	kiofuseservice.h
	kiofusenode.h)

ecm_setup_version(PROJECT
	VARIABLE_PREFIX KIOFUSE
	VERSION_HEADER kiofuseversion.h)

ecm_qt_declare_logging_category(KIOFUSE_SOURCES
	HEADER debug.h
	IDENTIFIER KIOFUSE_LOG
	CATEGORY_NAME org.kde.kio.fuse
	DEFAULT_SEVERITY Warning)

add_executable(kio-fuse ${KIOFUSE_SOURCES})
target_include_directories(kio-fuse PRIVATE ${FUSE3_INCLUDE_DIRS})
target_compile_definitions(kio-fuse PRIVATE FUSE_USE_VERSION=31 ${FUSE3_CFLAGS_OTHER})
target_link_libraries(kio-fuse PRIVATE Qt::Core KF${QT_MAJOR_VERSION}::KIOCore ${FUSE3_LIBRARIES} ${FUSE3_LDFLAGS})
install(TARGETS kio-fuse DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
	# We could argue that this needs a separate "if(LINUX_WITH_TMPFILES_D)".
	# or a "if(LINUX_WITH_SYSTEMD)".
	install(FILES kio-fuse-tmpfiles.conf DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/tmpfiles.d)
endif()

ecm_generate_dbus_service_file(
   NAME org.kde.KIOFuse
   EXECUTABLE "${KDE_INSTALL_FULL_LIBEXECDIR}/kio-fuse -f"
   SYSTEMD_SERVICE kio-fuse.service
   DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

if(DEFINED KDE_INSTALL_SYSTEMDUSERUNITDIR)
	ecm_install_configured_files(INPUT kio-fuse.service.in DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})
else()
	ecm_install_configured_files(INPUT kio-fuse.service.in DESTINATION ${SYSTEMD_USER_UNIT_INSTALL_DIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kio-fuse (5.1.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix upstream bugtracker URLs.
  * Fix target of debian/watch file.
  * New upstream release (5.1.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Remove inactive uploaders.
  * Add myself to the uploaders.
  * Update the list of installed files.

  [ Pino Toscano ]
  * Update standards version to 4.7.0, no changes needed.
  * Rename debian/docs to debian/kio-fuse.docs, to make it clearer to which
    package it refers to.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 22:48:54 +0100

=== debian/control ===
Source: kio-fuse
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.96~),
               libfuse3-dev,
               libkf6coreaddons-dev (>= 5.96~),
               libkf6kio-dev (>= 5.96~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 5.15~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kio-fuse
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kio-fuse.git
Homepage: https://invent.kde.org/system/kio-fuse

Package: kio-fuse
Architecture: any
Depends: fuse3, ${misc:Depends}, ${shlibs:Depends},
Enhances: dolphin,
Description: FUSE Interface for KIO
 KIOFuse allows the possibility to mount KIO filesystems in the local
 system, exposing them to every application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DQT_MAJOR_VERSION=6 -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ \
  https://download.kde.org/Attic/kio-fuse/kio-fuse-([\d.]+).tar.xz

## kio-fuse 5.1.0+p24.04+vstable+git20250721.0519

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kio-fuse VERSION 5.0.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MIN_VERSION 5.15)
set(KF_MIN_VERSION 5.96)

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateDBusServiceFile)
include(ECMConfiguredInstall)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} COMPONENTS Core REQUIRED)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
	CoreAddons
	KIO
)
pkg_check_modules(FUSE3 REQUIRED fuse3)

add_subdirectory(src)
add_subdirectory(data)
if(BUILD_TESTING)
	add_subdirectory(tests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kio-fuse 5.1.0+p24.04+vstable+git20251015.1233

=== debian/changelog ===
kio-fuse (5.1.0+p24.04+vstable+git20251015.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:33:19 +0000

kio-fuse (5.1.0-1) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 12 Dec 2023 22:06:49 +1000

=== debian/control ===
Source: kio-fuse
Section: kde
Priority: optional
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libfuse3-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kio-fuse
Vcs-Git: https://invent.kde.org/neon/extras/kio-fuse.git
Vcs-Browser: https://invent.kde.org/neon/extras/kio-fuse
Maintainer: Neon CI <neon@kde.org>

Package: kio-fuse
Architecture: any
Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin
Description: FUSE Interface for KIO
 KIOFuse allows the possibility to mount KIO filesystems in the local
 system, exposing them to every application.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DSYSTEMD_USER_UNIT_INSTALL_DIR=/usr/kf6/lib/systemd/user -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/$(shell dh_listpackages | head -n1)/usr/kf6/lib/$(DEB_HOST_MULTIARCH)/

## kio-fuse 5.1.0+p24.04+vunstable+git20251020.1248

=== debian/changelog ===
kio-fuse (5.1.0+p24.04+vunstable+git20251020.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:48:20 +0000

## kio-fuse 5.1.1

=== debian/changelog ===
kio-fuse (5.1.1-0+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 21 Jan 2026 23:45:49 +0000

kio-fuse (5.1.1-0) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 05 Nov 2025 12:05:11 +1000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6 -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kio-fuse 5.1.1+p24.04+vstable+git20251106.1326

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kio-fuse VERSION 5.0.0)
+project(kio-fuse VERSION 6.0.0)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(QT_MIN_VERSION 5.15)
-set(KF_MIN_VERSION 5.96)
+set(QT_MIN_VERSION 6.9)
+set(KF_MIN_VERSION 6.19)
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

=== debian/changelog ===
kio-fuse (5.1.1+p24.04+vstable+git20251106.1326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 13:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                kf6-ki18n-dev,
                kf6-kio-dev,
                libfuse3-dev,
-               pkg-config,
                pkg-kde-tools-neon,
+               pkgconf,
                qt6-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kio-fuse
 Vcs-Git: https://invent.kde.org/neon/extras/kio-fuse.git
@@ -23,7 +23,7 @@
 Package: kio-fuse
 Architecture: any
 Depends: fuse3, ${misc:Depends}, ${shlibs:Depends}
-Enhances: dolphin
+Enhances: dolphin, xdg-desktop-portal-kde
 Description: FUSE Interface for KIO
  KIOFuse allows the possibility to mount KIO filesystems in the local
  system, exposing them to every application.

## kio-fuse 5.1.1+p24.04+vstable+git20251109.0313

=== debian/changelog ===
kio-fuse (5.1.1+p24.04+vstable+git20251109.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:13:20 +0000

## kio-fuse 5.1.1+p24.04+vunstable+git20251105.0336

=== debian/changelog ===
kio-fuse (5.1.1+p24.04+vunstable+git20251105.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 03:36:48 +0000
